Bug 1887751 - `oc explain localvolumediscoveryresult` returns empty description
Summary: `oc explain localvolumediscoveryresult` returns empty description
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.6
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.7.0
Assignee: Jan Safranek
QA Contact: Chao Yang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-13 09:31 UTC by Qin Ping
Modified: 2021-02-24 15:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:25:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift local-storage-operator pull 176 0 None closed Bug 1887750: Bug 1887751: Don't preserve unknown fields in CRs 2021-01-15 09:57:30 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:26:00 UTC

Description Qin Ping 2020-10-13 09:31:02 UTC
Description of Problem:
`oc explain localvolumediscoveryresult` returns empty description

Version-Release number of selected component (if applicable):
LSO version: 4.6.0-202010061132.p0

How Reproducible:
Always


Steps to Reproduce:
oc --kubeconfig=/home/piqin/kubeconfig.stage explain localvolumediscoveryresult

Actual Results:
$ oc --kubeconfig=/home/piqin/kubeconfig.stage explain localvolumediscoveryresult
KIND:     LocalVolumeDiscoveryResult
VERSION:  local.storage.openshift.io/v1alpha1

DESCRIPTION:
     <empty>

Expected Results:
Should return detailed description and related fields explanation.

Comment 1 Jan Safranek 2020-10-13 14:54:14 UTC
Did you try the latest `oc` version for 4.6? It needs to be up to date to get descriptions from newer cluster.

Comment 2 Qin Ping 2020-10-14 01:00:53 UTC
Yes, client version is 4.6.0-0.nightly-2020-09-24-015627, update client to
4.6.0-rc.4, still get the same issue.

[piqin@preserve-storage-server1 4.6]$ oc --kubeconfig=/home/piqin/kubeconfig.aws explain localvolumediscovery
KIND:     LocalVolumeDiscovery
VERSION:  local.storage.openshift.io/v1alpha1

DESCRIPTION:
     <empty>
[piqin@preserve-storage-server1 4.6]$ oc version
Client Version: 4.6.0-rc.4
Server Version: 4.6.0-0.nightly-2020-10-12-202502
Kubernetes Version: v1.19.0+d59ce34
[piqin@preserve-storage-server1 4.6]$ oc --kubeconfig=/home/piqin/kubeconfig.aws explain localvolumediscoveryresult
KIND:     LocalVolumeDiscoveryResult
VERSION:  local.storage.openshift.io/v1alpha1

DESCRIPTION:
     <empty>

Comment 4 Chao Yang 2020-11-04 05:44:58 UTC
oc explain localvolumediscoveryresult
KIND:     LocalVolumeDiscoveryResult
VERSION:  local.storage.openshift.io/v1alpha1

DESCRIPTION:
     <empty>

oc version
Client Version: 4.7.0-0.nightly-2020-10-26-152308
Server Version: 4.7.0-0.nightly-2020-10-27-051128

Comment 5 Jan Safranek 2020-11-13 11:26:08 UTC
4.7 images were not built for some reason. Checking with ART.

Comment 8 Chao Yang 2020-11-24 01:26:55 UTC
oc explain localvolumediscoveryresult
KIND:     LocalVolumeDiscoveryResult
VERSION:  local.storage.openshift.io/v1alpha1

DESCRIPTION:
     LocalVolumeDiscoveryResult is the Schema for the
     localvolumediscoveryresults API

FIELDS:
   apiVersion	<string>
     APIVersion defines the versioned schema of this representation of an
     object. Servers should convert recognized schemas to the latest internal
     value, and may reject unrecognized values. More info:
     https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

   kind	<string>
     Kind is a string value representing the REST resource this object
     represents. Servers may infer this from the endpoint the client submits
     requests to. Cannot be updated. In CamelCase. More info:
     https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

   metadata	<Object>
     Standard object's metadata. More info:
     https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

   spec	<Object>
     LocalVolumeDiscoveryResultSpec defines the desired state of
     LocalVolumeDiscoveryResult

   status	<Object>
     LocalVolumeDiscoveryResultStatus defines the observed state of
     LocalVolumeDiscoveryResult

local-storage-operator.4.7.0-202011181859.p0   Local Storage   4.7.0-202011181859.p0              Succeeded

Comment 11 errata-xmlrpc 2021-02-24 15:25:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.